<?php

require_once "vendor/autoload.php";

use App\Libreria\Conexion; 
use App\Models\Privilegiosnivel;
new Conexion();


if (isset($_GET['nivel']) and !empty($_GET['nivel'])) {
    if ($_GET['privilegio'] == "") {
        $_SESSION['respuesta'] = [
            'error' => "No se a selecionado nada."
        ];
        header('location ' . $_SERVER["HTTP_REFERER"]);
    }

    $privilegio = new Privilegiosnivel;
    $privilegio->nivel = $_GET['nivel'];
    $privilegio->privilegio = $_GET['privilegio'];
    $privilegio->save();

    $_SESSION['respuesta'] = [
        'success' => "Acceso permitido"
    ];
    header("Location: " . $_SERVER["HTTP_REFERER"]);
}

echo 'vacio';